Name:           polybar
Version:        3.4.0
Release:        1%{?dist}
Summary:        Fast and easy-to-use status bar
License:        MIT and BSD
URL:            https://github.com/polybar/polybar
Source0:        https://github.com/polybar/polybar/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         polybar-enable-python3.patch
BuildRequires:  clang >= 3.4
BuildRequires:  cmake >= 3.1
BuildRequires:  pkgconfig
BuildRequires:  xcb-util-image-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  xcb-util-xrm-devel
BuildRequires:  xcb-util-cursor-devel
BuildRequires:  libmpdclient-devel
BuildRequires:  wireless-tools-devel
BuildRequires:  i3
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-proto)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  python3
BuildRequires:  python3-sphinx

%description
Polybar aims to help users build beautiful and highly customizable
status bars for their desktop environment, without the need of having
a black belt in shell scripting.

%prep
%setup -q
%patch0 -p1

%build
mkdir -p doc/build
cd doc/build
%cmake ..
%make_build doc_man
cd ../..

%cmake -DBUILD_DOC=false .
%make_build


%install
%make_install
gzip doc/build/man/%{name}.1
mkdir -p %{buildroot}/%{_mandir}/man1
cp doc/build/man/%{name}.1.gz %{buildroot}/%{_mandir}/man1/

%files
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-msg
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/doc/%{name}/config
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/zsh/site-functions/_%{name}
%{_datadir}/zsh/site-functions/_%{name}_msg

%changelog
* Thu Sep 05 2019 Franco Comida <fcomida@users.sourceforge.net> - 3.4.0-1
- Version 3.4.0

